using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class Form4 : Form
    {
        public MCServerCore MC = null;

        public Form4()
        {
            InitializeComponent();
        }

        private void Form4_Shown(object sender, EventArgs e)
        {
            textBox1.Text = MC.RoutePlannerGetRouteSummary();
            MC.RoutePlannerGetRouteItinerary(listView1);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            listView1.Items.Clear();
            MC.RouteOptimizerOptimizeRoute(0);
            MC.RoutePlannerCalculateRoute(0);
            textBox1.Text = MC.RoutePlannerGetRouteSummary();            
            MC.RoutePlannerGetRouteItinerary(listView1);
        }
    }
}